Synology-SA-22:13 SSO Server

Publish Time: 2022-08-03 11:15:26 UTC+8

Last Updated: 2022-08-03 11:15:26 UTC+8

Severity
Moderate
Status
Ongoing

Abstract

A vulnerability allows remote authenticated users to read arbitrary files via a susceptible version of SSO Server.

Affected Products

Product Severity Fixed Release Availability
SSO Server for DSM 7.1 Moderate Upgrade to 2.2.3-0331 or above.
SSO Server for DSM 7.0 Moderate Upgrade to 2.2.3-0331 or above.
SSO Server for DSM 6.2 Moderate Ongoing

Mitigation

None

Detail

  • CVE-2022-27620
    • Severity: Moderate
    • CVSS3 Base Score: 6.8
    • CVSS3 Vector: CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:N/A:N
    • Improper limitation of a pathname to a restricted directory ('Path Traversal') vulnerability in webapi component in Synology SSO Server before 2.2.3-0331 allows remote authenticated users to read arbitrary files via unspecified vectors.

Acknowledgement

Qian Chen (@cq674350529) from Codesafe Team of Legendsec at Qi'anxin Group

Revision

Revision Date Description
1 2022-08-03 Initial public release.